<?php

/*********************************************************************************/
/*     Copyright (C) Jean-Sbastien H. ( ED ) webmaster  Livebox-script.com      */
/*                                                                               */
/*     This program is free software; you can redistribute it and/or             */
/*     modify it under the terms of the GNU General Public License               */
/*     as published by the Free Software Foundation; either version 2            */
/*     of the License, or (at your option) any later version.                    */
/*                                                                               */    
/*     This program is distributed in the hope that it will be useful,           */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */ 
/*     GNU General Public License for more details.                              */
/*                                                                               */
/*     You should have received a copy of the GNU General Public License         */ 
/*     along with this program; if not, write to the Free Software               */
/*     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA */
/*********************************************************************************/
/*                                                                               */
/*         Fichier log_mrtg.php                                                       */
/*         Cr le28 janv 2007                                                   */

/*                                                                               */
/*                                                                               */
/*********************************************************************************/
//set_include_path('/www/uptime/');
error_reporting(E_ALL);

require('conf.php');

// Prparation de la connexion SQL
if((isset($dbtype)) && file_exists($debug_path."libraries/SQL/". $dbtype. ".php")) {
		require($debug_path.'libraries/SQL/'.$dbtype.'.php');
		$SQL = new SQL($hote,$user,$pass,$dbname);
}
else exit('Impossible de Charger la connexion SQL');

if((isset($livebox)) && file_exists($debug_path."libraries/livebox/". ucfirst($livebox). ".php")) {
		require($debug_path.'libraries/livebox/'.ucfirst($livebox).'.php');
		$livebox = new Livebox($ipbox,$login,$passw);
}
else exit('Impossible de Charger la livebox');

$mrtg = Array();
$mrtg['time'] = mktime(date('H'),date('i'),00,date('m'),date('d'),date('Y'));
$mrtg['day'] = mktime(00,00,00,date('m'),date('d'),date('Y'));
$tmp = $livebox->getStreamOnInterface("eth0");
$mrtg['eth0_RX'] = $tmp[0];
$mrtg['eth0_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("eth1");
$mrtg['eth1_RX'] = $tmp[0];
$mrtg['eth1_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("usb0");
$mrtg['usb0_RX'] = $tmp[0];
$mrtg['usb0_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("eth0");
$mrtg['eth0_RX'] = $tmp[0];
$mrtg['eth0_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("br0");
$mrtg['br0_RX'] = $tmp[0];
$mrtg['br0_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("wl0");
$mrtg['wl0_RX'] = $tmp[0];
$mrtg['wl0_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("ppp0");
$mrtg['ppp0_RX'] = $tmp[0];
$mrtg['ppp0_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("ppp0");
$mrtg['ppp0_RX'] = $tmp[0];
$mrtg['ppp0_TX'] = $tmp[1];

//$tmp = $livebox->getStreamOnInterface("nas1");
//$mrtg['nas1_RX'] = $tmp[0];
//$mrtg['nas1_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("nas2");
$mrtg['nas2_RX'] = $tmp[0];
$mrtg['nas2_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("nas3");
$mrtg['nas3_RX'] = $tmp[0];
$mrtg['nas3_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("nas4");
$mrtg['nas4_RX'] = $tmp[0];
$mrtg['nas4_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("nas5");
$mrtg['nas5_RX'] = $tmp[0];
$mrtg['nas5_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("nas6");
$mrtg['nas6_RX'] = $tmp[0];
$mrtg['nas6_TX'] = $tmp[1];

$tmp = $livebox->getStreamOnInterface("nas7");
$mrtg['nas7_RX'] = $tmp[0];
$mrtg['nas7_TX'] = $tmp[1];

if($SQL->query($SQL->rq_doLog("mrtg",$mrtg)))
echo "Log MRTG: Enregistrement reussi";
else echo "Log MRTG: Echec";

?>
